#
# spec file for package python-pony
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pony
Version:        0.7.13
Release:        bp156.3.2
Summary:        Pony Object-Relational Mapper
License:        Apache-2.0
URL:            https://ponyorm.com
Source:         https://files.pythonhosted.org/packages/source/p/pony/pony-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{pythons}
BuildRequires:  dos2unix
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python
BuildArch:      noarch
%python_subpackages

%description
Pony ORM is a object-relational mapper for Python. Using Pony, users
can create and maintain database-oriented software applications. Pony
is able to write queries to the database using generator expressions.
Pony then analyzes the abstract syntax tree of a generator and
translates it to its SQL equivalent.

%prep
%setup -q -n pony-%{version}
dos2unix README.md

%build
%python_build

%install
%python_install
%python_expand rm -r %{buildroot}%{$python_sitelib}/pony/*/tests
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py test

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/*

%changelog
* Mon Mar  9 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.7.13:
  * support for python 3.8
  * minor fixes
* Wed Dec 11 2019 Tomáš Chvátal <tchvatal@suse.com>
- Require full python stack to ensure sqlite module
* Wed Apr 24 2019 pgajdos@suse.com
- version update to 0.7.10
  * Python3.7 and PyPy decompiling fixes
  * Fix reading NULL from Optional nullable array column
  * Fix handling of empty arrays in queries
  * #415: error message typo
  * #432: PonyFlask - request object can trigger teardown_request
    without real request
  * Fix GROUP CONCAT separator for MySQL
- deleted sources
  - LICENSE (not needed)
* Fri Mar  1 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.7.9:
  * Fix handling of empty arrays and empty lists in queries
  * Fix reading optional nullable array columns from database
  * Array type support for PostgreSQL and SQLite
  * isinstance() support in queries
  * Support of queries based on collections: select(x for x in y.items)
- Drop merged patch 0001-Fix-tests-failing-with-python-3.6.patch
* Thu Oct 25 2018 Jan Engelhardt <jengelh@inai.de>
- Ensure neutrality of description.
* Thu Oct 25 2018 Antonio Larrosa <alarrosa@suse.com>
- Add BuildRequires: python2 for SLE12/Leap 42.3 so tests are
  passed successfully
* Wed Oct 24 2018 Antonio Larrosa <alarrosa@suse.com>
- Added 0001-Fix-tests-failing-with-python-3.6.patch from upstream
  to fix the tests to run as expected.
* Mon Sep 24 2018 Antonio Larrosa <alarrosa@suse.com> - 0.7.6
- Initial release of python-pony 0.7.6
